slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPDestroy

Destroys the NEP context.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPDestroy(NEP *nep)

Collective on NEP

### Input Parameter

| nep | - eigensolver context obtained from NEPCreate()

### See Also

NEPCreate(), NEPSetUp(), NEPSolve()

Location: src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/nep/examples/tutorials/ex20.c.html
src/nep/examples/tutorials/ex21.c.html
src/nep/examples/tutorials/ex22.c.html
src/nep/examples/tutorials/ex27.c.html
src/nep/examples/tutorials/ex20f90.F90.html
src/nep/examples/tutorials/ex22f90.F90.html
src/nep/examples/tutorials/ex27f90.F90.html
src/nep/examples/nlevp/loaded_string.c.html
src/nep/examples/nlevp/gun.c.html